package domain


type AlibabaRetailMarketingBuygiftActivitySkuAddBuyGiftActivitySkuOperateRequest struct {
    /*
        商品元素信息     */
    SkuElements  *[]AlibabaRetailMarketingBuygiftActivitySkuAddSkuActivityElementDto `json:"sku_elements,omitempty" `

    /*
        操作活动的ID     */
    ActId  *int64 `json:"act_id,omitempty" `

    /*
        操作人ID（数字类型）     */
    CreatorId  *string `json:"creator_id,omitempty" `

    /*
        操作人Name     */
    CreatorName  *string `json:"creator_name,omitempty" `

    /*
        外部erp活动id     */
    OutActId  *string `json:"out_act_id,omitempty" `

}

func (s *AlibabaRetailMarketingBuygiftActivitySkuAddBuyGiftActivitySkuOperateRequest) SetSkuElements(v []AlibabaRetailMarketingBuygiftActivitySkuAddSkuActivityElementDto) *AlibabaRetailMarketingBuygiftActivitySkuAddBuyGiftActivitySkuOperateRequest {
    s.SkuElements = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySkuAddBuyGiftActivitySkuOperateRequest) SetActId(v int64) *AlibabaRetailMarketingBuygiftActivitySkuAddBuyGiftActivitySkuOperateRequest {
    s.ActId = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySkuAddBuyGiftActivitySkuOperateRequest) SetCreatorId(v string) *AlibabaRetailMarketingBuygiftActivitySkuAddBuyGiftActivitySkuOperateRequest {
    s.CreatorId = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySkuAddBuyGiftActivitySkuOperateRequest) SetCreatorName(v string) *AlibabaRetailMarketingBuygiftActivitySkuAddBuyGiftActivitySkuOperateRequest {
    s.CreatorName = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySkuAddBuyGiftActivitySkuOperateRequest) SetOutActId(v string) *AlibabaRetailMarketingBuygiftActivitySkuAddBuyGiftActivitySkuOperateRequest {
    s.OutActId = &v
    return s
}
